#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_NormalOutFishCFG6Data
{
	//key
	int mID;
	//名字
	std::string mName;
	//类型
	int mType;
	//参数
	int mParamID;
	//出鱼权值
	int mOutWeight;
	//最大数量
	int mOutMaxCount;
	//路径分组
	int mRouteGroup;
	//分组
	int mGroupID;
	//出鱼时间（s）
	std::vector<int> mFishTime;
	//玩法鱼通知
	int mFishNotice;
	//分组最大鱼数
	int mGroupMaxFish;
};

class Fish_NormalOutFishCFG6
{
public:
private:
	static std::auto_ptr<Fish_NormalOutFishCFG6> msSingleton;
public:
	int GetCount();
	const Fish_NormalOutFishCFG6Data* GetData(int ID);
	boost::unordered_map<int, Fish_NormalOutFishCFG6Data>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_NormalOutFishCFG6* GetSingleton();
private:
	boost::unordered_map<int, Fish_NormalOutFishCFG6Data> mMapData;
};
